restinio::easy_parser::impl::conversion_result_type_detector< Result_Type > Struct Template Reference

A helper template for the detection of type to be produced as conversion procedure. More...

`#include <easy_parser.hpp>`

## Public Types

using | type = Result_Type

## Detailed Description

template<typename Result_Type>
struct restinio::easy_parser::impl::conversion_result_type_detector< Result_Type >

A helper template for the detection of type to be produced as conversion procedure.

A conversion procedure can produce either T or expected_t<T, error_reason_t>. In the case of expected_t<T, error_reason_t> it is necessary to know T. This helper template allows to detect T in both cases.

Since
  v.0.6.11

Definition at line 3225 of file easy_parser.hpp.

## Member Typedef Documentation

## type

template<typename Result_Type >

using restinio::easy_parser::impl::conversion_result_type_detector< Result_Type >::type = Result_Type

Definition at line 3227 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp